## visad.ss
Class SSLayout

    java.lang.Object
      visad.ss.SSLayout

All Implemented Interfaces:
  LayoutManager

public class SSLayout
extends Object
implements LayoutManager

SSLayout is the layout manager for the SpreadSheet's cells and their labels. It sets up components in a rectangular grid similar to GridLayout, but uses the components' preferred sizes to allow for variable-sized cells.

Constructor Summary
`SSLayout(int ncol, int nrow, int wspace, int hspace)` Constructs an SSLayout.

Method Summary
`void` `addLayoutComponent(String name, Component comp)` Not used by SSLayout.
`void` `layoutContainer(Container parent)` Lays out the components.
`Dimension` `minimumLayoutSize(Container parent)` Gets minimum layout size.
`Dimension` `preferredLayoutSize(Container parent)` Gets preferred layout size.
`void` `removeLayoutComponent(Component comp)` Not used by SSLayout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLayout

    public SSLayout(int ncol,
                    int nrow,
                    int wspace,
                    int hspace)

  Constructs an SSLayout.

Method Detail

### layoutContainer

    public void layoutContainer(Container parent)

  Lays out the components.

  Specified by:
    `layoutContainer` in interface `LayoutManager`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Gets minimum layout size.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Gets preferred layout size.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Not used by SSLayout.

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Not used by SSLayout.

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`